---
title: "Orekit Python wrapper 10.1 available"
excerpt: "Following the 10.1 main orekit release, the Python wrapper 10.1 is now available."
layout: post_orekit
publication_year: 2020
date: 2020-02-21 08:17:00 +0100
modified: 2020-02-24 11:55:23 +0100
project: orekit
categories:
- News
tags:
- news
- python
---

Following the 10.1 main orekit release, the Python wrapper 10.1 is now
available. This version includes the changes of the 10.1 java version with
corresponding new or updated wrapper classes for Python.

* The specific classes for subclassing Java classes in Python are starting in
  10.0 being transitioned from org.orekit.python to the same package as the
  original class. For new v10.1 classes only the new location in the package
  of the original class is used.

* In creating the wrappers for subclassing, the exposure of all methods has
  been more stringent. This means that the init(*) method now is
  systematically exposed, to ensure full availability of all features.

* Rugged v2.1 included as in 10.0, should be considered experimental as there
  are no test cases yet, but basic interaction has been tested.

* Minor updates and bug fixes for wrapper classes. All interfaces and abstract
  classes in orekit and rugged should have wrapping classes available.

* Note that stuff not in test cases are by definition not tested and shall be
  considered experimental.

* Generated with JCC v3.6 plus patches, bringing it to latest development
  version.

For documentation, the best are the wiki, the API for orekit and rugged,
combined with the test cases at this moment.

Installation instructions as well as basic examples
[on the wiki](https://gitlab.orekit.org/orekit-labs/python-wrapper/-/wikis/home).

It is highly recommended to use the conda package version over building from
sources.

[The (Python) test suite](https://github.com/petrushy/orekit_python_artifacts/tree/version-10.1/test)
contains advanced examples.

Please post general questions on usage or problems on the [orekit
forum](http://forum.orekit.org) and please report identified bugs or issues on
the [issue page](https://gitlab.orekit.org/orekit-labs/python-wrapper/issues).
