---
title: "Orekit 11.3 released"
excerpt: "Version 11.3 is a minor release of Orekit which introduces new features and bug fixes."
layout: post_orekit
publication_year: 2022
date: 2022-10-25 11:00:00 +0200
modified: 2022-10-25 11:00:00 +0200
project: orekit
categories:
- News
tags:
- news
- release
---

The Orekit team is pleased to announce the release of Orekit version 11.3.

This is a minor version, including both new features and bug fixes.

Highlights in the 11.3 release are:

 * The unscented Kalman filter (numerical version),
 * The semi-analytical unscented Kalman filter (DSST version),
 * A new PVCoordinatesProvider modelling waypoints on an ellipsoid following a loxodrome (commonly, a rhum bline),
 * A new method to compute hyperbolic anomaly based on Gooding and Odell algorithm,
 * A new built-in additional state for covariance propagation (linear method based on the state transition matrix computation),
 * With a new state covariance object allowing covariance transformation between frames and orbit types,
 * The extrapolation of the state covariance matrix using a Keplerian model,
 * And the ability to extrapolate a state covariance matrix using a Keplerian model,
 * The migration of all JUnit tests from JUnit 4 to JUnit 5,
 * The ability to estimate measurement parameters (station position or clock biases) from an ephemeris,
 * New methods to convert from/to Orekit frames and CCSDS frames,
 * Improvements of CCSDS CDM (Collision Data Message) parsers,
 * Improvements in date handling and aggregate bounded propagators,
 * Several bug fixes and documentation improvements.

This release also include a new tutorial for maneuvers' thrusts and dates estimation.

This version depends on Hipparchus 2.3.


For complete release notes please see:
https://www.orekit.org/site-orekit-11.3/changes-report.html

The maven artifacts are available in maven central.
The source and binaries can be retrieved from the forge releases page:
https://gitlab.orekit.org/orekit/orekit/-/releases